#!/bin/sh
# $Id: t-batv-0.sh,v 1.1 2005/01/31 01:59:55 ca Exp $
# Copyright (c) 2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

# ---------------------------
# run t-batv-0
# ---------------------------

test -s stop && exit 1              

PRG=t-batv-0
IN=${PRG}.in
OUT=${PRG}.out
OK=${PRG}.ok

TEST=1
rm -f ${IN} ${OUT} ${OK}
cat > ${IN} <<EOF
key { number = 1; private = "abdasfd"; }
EOF
./${PRG} -f ${IN} '<a@b.c>'  || exit 1

./${PRG} -f ${IN} '<abc@bdef.com>'  || exit 1

./${PRG} -f ${IN} '<abc+ext@def.com>'  || exit 1

rm -f ${IN} ${OUT} ${OK}
exit 0
