#!/bin/sh
# $Id: common.sh,v 1.14 2005/03/30 20:00:38 ca Exp $
# Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ----------------------------------------
# set common variables for test programs
# needs: SD
# ----------------------------------------

# paths etc for various (test) programs
DEFEDB=defedb
IBDBDIR='ibdb/ibdb'
IBDB='ibd00*'
SMTPCSOCK=qmsmtpc/qmsmtpc
SMARSOCK="qmsmar/qmsmar"

# path to CDB for lmtp sink (smtps3)
LMTPDIR="lmtpdir/"

# port numbers to use
SNKPORT=${SM_SNKPORT:-8753}
SRVPORT=${SM_SRVPORT:-1579}

# some logfile names
SRVL="sink.log"
LMTPL="lmtp.log"
CLTL="source.log"

#
SMXCNF=smx.conf
MCPCNF=${SMXCNF}
#MCPCNF=mcp.conf

# do not run as root
../libcheck/noroot || exit 1

# get USER
. ${SD}/../check2/user.sh

#
AWK=awk
CAT=cat
DIFF=diff
EGREP=egrep
GREP=grep
SED=sed

# get nameserver
NS=`${GREP} '^nameserver' /etc/resolv.conf | head -1 | sed -e 's/nameserver[	 ]*\([0-9][0-9\.]*\).*$/\1/'`

# for debugging on some *BSD; how about others?
#export MALLOC_OPTIONS="J"

VERBOSE=false
MM=../libsmmap/t-mm
ALI=aliases
AMAP=${ALI}.db
ACC=access
ACCMAP=${ACC}.db
IDBR0=../libibdb/t-idbr-0

SHELL=/bin/sh
test -x /bin/ksh && SHELL=/bin/ksh

ERRS=0
ERR=false

SRC=${SD}/../smar/common.sh
if test -x ${SRC}
then
. ${SRC}
fi
